%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	reCAPTCHA Library for PHP
Name:		php-recaptcha
Version:	1.11
Release:	3
License:	MIT
Group:		Development/Languages/PHP
Source0:	http://recaptcha.googlecode.com/files/recaptcha-php-%{version}.zip
# Source0-md5:	06dbb91aeb1869b3051d1b87dea0b891
URL:		http://recaptcha.net/plugins/php/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.520
BuildRequires:	unzip
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Suggests:	php-mcrypt
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Exclude optional PHP extension dependencies
%define		_noautoreq	php-mcrypt

%description
Provides a CAPTCHA for PHP using the reCAPTCHA service.

To use reCAPTCHA Mailhide, you need to have the mcrypt php module
installed.

%prep
%setup -q -n recaptcha-php-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a recaptchalib.php $RPM_BUILD_ROOT%{php_data_dir}

# examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example-*.php $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%{php_data_dir}/recaptchalib.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 2177a88
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> bdba82c
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 92364f1
- up to 1.11

* Sun May 16 2010 sparky <sparky@pld-linux.org> 0be87a1
- BR: unzip

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> c3c7aac
- new

